--- old/usr/src/uts/common/sys/sunpm.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/sunpm.h	Sat Aug  2 23:27:26 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -99,14 +101,6 @@
 #define	PM_LEVEL_D0_STR		"3=Device D0 State"
 
 /*
- * If you add or remove a function or data reference, please
- * remember to duplicate the action below the #else clause for
- * __STDC__.
- */
-
-#ifdef	__STDC__
-
-/*
  * Generic Sun PM definitions.
  */
 
@@ -114,70 +108,34 @@
  * These are obsolete power management interfaces, they will be removed from
  * a subsequent release.
  */
-int
-pm_create_components(dev_info_t *dip, int num_components);
+int pm_create_components(dev_info_t *dip, int num_components);
 
-void
-pm_destroy_components(dev_info_t *dip);
+void pm_destroy_components(dev_info_t *dip);
 
-void
-pm_set_normal_power(dev_info_t *dip, int component_number, int level);
+void pm_set_normal_power(dev_info_t *dip, int component_number, int level);
 
-int
-pm_get_normal_power(dev_info_t *dip, int component_number);
+int pm_get_normal_power(dev_info_t *dip, int component_number);
 
 /*
  * These are power management interfaces.
  */
 
-int
-pm_busy_component(dev_info_t *dip, int component_number);
+int pm_busy_component(dev_info_t *dip, int component_number);
 
-int
-pm_idle_component(dev_info_t *dip, int component_number);
+int pm_idle_component(dev_info_t *dip, int component_number);
 
-int
-pm_get_current_power(dev_info_t *dip, int component, int *levelp);
+int pm_get_current_power(dev_info_t *dip, int component, int *levelp);
 
-int
-pm_power_has_changed(dev_info_t *, int, int);
+int pm_power_has_changed(dev_info_t *, int, int);
 
-int
-pm_trans_check(struct pm_trans_data *datap, time_t *intervalp);
+int pm_trans_check(struct pm_trans_data *datap, time_t *intervalp);
 
-int
-pm_lower_power(dev_info_t *dip, int comp, int level);
+int pm_lower_power(dev_info_t *dip, int comp, int level);
 
-int
-pm_raise_power(dev_info_t *dip, int comp, int level);
+int pm_raise_power(dev_info_t *dip, int comp, int level);
 
-int
-pm_update_maxpower(dev_info_t *dip, int comp, int level);
+int pm_update_maxpower(dev_info_t *dip, int comp, int level);
 
-#else	/* __STDC__ */
-
-/*
- * Obsolete interfaces.
- */
-extern int pm_create_components();
-extern void pm_destroy_components();
-extern void pm_set_normal_power();
-extern int pm_get_normal_power();
-
-/*
- * PM interfaces
- */
-extern int pm_busy_component();
-extern int pm_idle_component();
-extern int pm_get_current_power();
-extern int pm_power_has_changed();
-extern int pm_trans_check();
-extern int pm_lower_power();
-extern int pm_raise_power();
-extern int pm_update_maxpower();
-
-#endif	/* __STDC__ */
-
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
